--- title: "Replace room ABAC attributes" slug: "replace-room-abac-attributes" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/replace-room-abac-attributes" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Replace room ABAC attributes Post/api/v1/abac/rooms/:rid/attributes![Defense](https://raw.githubusercontent.com/RocketChat/Rocket.Chat-Open-API/main/images/Defense.svg) - Replaces the full ABAC attribute set for a room. - Sets the complete set of ABAC attributes on the specified room by providing an attributes object that maps attribute keys to arrays of allowed values; any previously assigned attributes not included in the request are removed. - Requires the ABAC license, the `abac-management` and `manage-abac-admin-rooms` permissions, and the global setting `ABAC_Enabled` to be turned on. ### Changelog | Version | Description | | --- | --- | | 8.0.0 | Added | | 8.5.0 | Added the `manage-abac-admin-rooms` granular permission requirement. | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample 1 ```json { "attributes": { "department": [ "it", "sales" ], "region": [ "asia", "europa" ] } } ``` object Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request ABAC not enabled ```json { "success": false, "error": "error-abac-not-enabled" } ``` Attribute definition missing ```json { "success": false, "error": "error-attribute-definition-not-found" } ``` Invalid attribute values ```json { "success": false, "error": "error-invalid-attribute-values" } ``` object successboolean errorstring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring 403 Forbidden Missing required ABAC permissions ```json { "success": false, "error": "error-not-authorized" } ``` object successboolean errorstring